defaults = {
    'mariadb': {
        'databases': {
            'yourls': {
                'password': repo.vault.random_bytes_as_base64_for(f'{node.name} yourls DB', length=32).value,
            },
        },
    },
}


@metadata_reactor.provides(
    'nginx/vhosts',
)
def nginx(metadata):
    return {
        'nginx': {
            'vhosts': {
                metadata.get('yourls/hostname'): {
                    'content': 'yourls/vhost.conf',
                    'context': {
                        'php_version': metadata.get('php/version'),
                    },
                },
            },
        },
    }
